Subject: Re: [MOBILE-IP] Fast Handoffs (fast-handoffs and proactive-FA)

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Thu, 6 Jul 2000 12:08:47 +0200

Hello James

>  The MN starts getting packets as soon as the FA and GFA
>  have set up the registration. There is no need for the MN
>  to do any registration back to the HA because the GFA has
>  not changed.

Of course this is true in Regional Registrations and therefore
also in our approach. However my question is: following
movement to a new RFA, the MN cannot resume communication
until it has performed a regional registration with the new RFA.
Are you saying that the previous RFA registers with the new RFA
and the new RFA registers with the GFA without involving the MN?
(using the BU and a "surrogate" registration which would be your
new handoff request message) If so, wouldn't this break RFC2002
which requires the MN to send the Registration Request for a
binding with a FA to be established?

>
>  Regarding your statement about L2 handoff, there is additionally a
>  need to do handoff when there is no L2 connection between the old
>  and new RANs. I'm thinking about the CDMA hard handoff case here,
>  in which there is no physical interconnection directly between
>  the old and new RAN, and so the handoff must go through the
>  L3 core (currently, this is done by involving the MSCs in handoff).
>  This will, of necessity, involve communicating radio specific
>  information across L3, channel parameters, current cell site, etc.
>  We believe FA assisted handoff as we have outlined it will handle
>  this case, with an extension to carry the radio specific information
>  needed in order to have the new RAN set up the handoff. Does your
>  proposal work for this as well?
>

Our proposal describes a way to do an L3 Fast Handoff possibly utilising
L2 functions/information. The lack of a soft-handoff does not mean
there will not be a L2 interface to the radio/cellular specific part
of the network (which exists today). From your mail above I conclude
that you take a different assumption: L3 interface to the radio network.
Am I correct? I think that radio-specific information should be left to
L2 since it is an overkill to bring complex radio-technology-specific
parameters up to L3. This is also due to the fact that every radio/cellular
standard has its set of parameters. Only a few L2 parameters need to be
made visible to L3 (e.g. handoff indication), possibly through some API
to obtain the improved handoffs which we are aiming for. This is the
assumption we should work with IMO, since it allows us to define a generic
L3 (MIP) fast handoff method.

Rgds,
Karim

---

From: "[email-masked]" <[email-masked]>
Date: Thu, 6 Jul 2000 06:46:30 -0700

> binding with a FA to be established?

No it doesn't break RFC 2002 anymore than Regional Registration Does. The main
idea is to let the GFA be aware that the Mobile Node is entering a new cell,
before MN registration occurs. This allows the network to adjust itself to
provide service to the Mobile Node when it does enter the cell.

The inverse requires that the Mobile Node detects it has entered a new cell by
receiving (or soliciting) an advertisement, then proceed with the registration
process. If we can provide temporary service while the registration process is
occuring, then we have what I would call hard hand-off. There would be nearly
no service impact (read packet loss) to the Mobile Node, especially if both
the old and new cell overlap.

Of course, the "temporary" registration is just that, temporary. We still
require that the Mobile Node issues a regional registration within a specified
amount of time.

> L3 (MIP) fast handoff method.

Well, James eluded to another draft, which isn't even published yet, and has
no bearings on the pro-active FA draft. The proposal does not require that we
pass along layer 2 information, and it would work just fine without it.
Similarly to your proposal, we assume that the Foreign Agent will receive an
indication from the layer 2 when the Mobile is entering a new cell. This draft
does define a generic L3 fast handoff method.

PatC